"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Blockchain = void 0;
const ton_1 = require("ton");
const config_js_1 = require("../config.js");
const BlockchainNetwork_js_1 = require("./BlockchainNetwork.js");
class Blockchain {
    constructor(mode) {
        if (mode == BlockchainNetwork_js_1.BlockchainNetwork.mainnet) {
            const api_key = config_js_1.config.MAINNET_API_KEY;
            this.client = new ton_1.TonClient4({
                endpoint: 'https://toncenter.com/api/v2/jsonRPC?api_key=' + api_key,
            });
        }
        else if (mode == BlockchainNetwork_js_1.BlockchainNetwork.testnet) {
            const api_key = config_js_1.config.TESTNET_API_KEY;
            this.client = new ton_1.TonClient4({
                endpoint: 'https://testnet.toncenter.com/api/v2/jsonRPC?api_key=' + api_key,
            });
        }
    }
}
exports.Blockchain = Blockchain;
